﻿@using Xtoman.Domain.Models
@model List<ExchangeTypeViewModel>
@{
    ViewBag.Title = $"نرخ تبادل ارزها";
    ViewBag.Description = $"";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="box box-info">
    <div class="box-body">
        <div class="box box-default box-solid collapsed-box">
            <div class="box-header with-border">
                <h3 class="box-title">جستجوی پیشرفته</h3>
                <div class="box-tools pull-right">
                    <button type="button" class="btn btn-box-tool" data-widget="collapse">
                        <i class="fa fa-plus"></i>
                    </button>
                </div>
                <!-- /.box-tools -->
            </div>
            <div>
                <div class="col-md-12">
                    <div class="card-box">
                        <h4 class="text-dark header-title m-t-0">تغییر درصد گروهی بر اساس نوع تبدیل</h4>
                        <form method="post" action="@Url.Action("RateByType")">
                            <div class="col-4">
                                <div class="form-group row">
                                    <label for="type" class="control-label col-3">نوع تبدیل</label>
                                    <select name="type" id="type" class="form-control col-9">
                                        <option>همه</option>
                                        @foreach (var item in (ExchangeFiatCoinType[])Enum.GetValues(typeof(ExchangeFiatCoinType)))
                                        {
                                            <option value="@item.ToInt()">@item.ToDisplay()</option>
                                        }
                                    </select>
                                </div>
                            </div>
                            <div class="col-4">
                                <div class="form-group row">
                                    <label class="control-label col-3" for="ExtraFeePercent">سود ایکس تومن به درصد</label>
                                    <div class="input-group with-feedback component-ltr col-9 addOn">
                                        <span class="input-group-addon"><i class="fa fa-percent"></i></span>
                                        <input class="form-control text-box single-line" data-val="true" data-val-maxvalue="حداکثر درصد 20 است." data-val-minvalue="حداقل درصد -20 است." data-val-number="The field سود ایکس تومن به درصد must be a number." data-val-required="سود ایکس تومن به درصد را وارد کنید" dir="rtl" id="percent" name="percent" placeholder="سود ایکس تومن به درصد" step="0.01" style="direction: rtl; text-align: right;" type="number" />
                                    </div>
                                </div>
                            </div>
                            <div class="col-4">
                                <input type="submit" value="اعمال درصد" class="btn btn-primary" />
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <div class="box-body" style="display: none;">
                @using (Html.BeginForm("Index", FormMethod.Get))
                {
                    @Html.ValidationSummary(true, "", new { @class = "alert alert-danger" })
                    <div class="row">
                        <div class="col-3">
                            <div class="form-group">
                                @Html.TextBox("term", Request["term"] as string, new { @class = "form-control", placeholder = "Search" })
                            </div>
                        </div>
                        <div class="col-3">
                            <div class="form-group">
                                @Html.TextBox("category", Request["category"] as string, new { @class = "form-control", placeholder = "Category" })
                            </div>
                        </div>
                        <div class="col-3">
                            <div class="form-group">
                                @Html.DropDownList("enabled", new SelectList(new[]
                                           {
                                                new { id = 1, name = "دسته بندی های فعال" },
                                                new { id = 2, name = "دسته بندی های غیر فعال" },
                                                new { id = 3, name = "همه" },
                                            }, "id", "name", Request["enabled"] as string), new { @class = "form-control" })
                            </div>
                        </div>
                        <div class="col-2">
                            <input value="Search" class="btn btn-primary" type="submit" />
                        </div>
                    </div>
                }
            </div>
        </div>
    </div>
</div>
<style>
    table th, tr {
        text-align: center;
        vertical-align: middle;
    }
</style>
<div class="box box-info">
    <div class="box-header with-border">
        <h4 class="box-title">@ViewBag.Title</h4>
    </div>

    <div class="box-body pad">
        <div class="row">
            <div class="col-12">
                <div class="table-responsive">
                    <table class="table">
                        <thead>
                            <tr>
                                <th style="width:10px">
                                    @Html.DisplayNameFor(model => model.GetObject().Id)
                                </th>
                                <th>
                                    تبدیل از به
                                </th>
                                <th>
                                    @Html.DisplayNameFor(model => model.GetObject().ExchangeFiatCoinType)
                                </th>
                                <th>
                                    @Html.DisplayNameFor(model => model.GetObject().ExtraFeePercent)
                                </th>
                                <th>
                                    <span>عملیات</span>
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var model in Model)
                            {
                                <tr>
                                    <td>
                                        @Html.DisplayFor(modelItem => model.Id)
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => model.FromCurrencyName)
                                        <span class="fa fa-arrow-left"></span>
                                        @Html.DisplayFor(modelItem => model.ToCurrencyName)
                                    </td>
                                    <td>
                                        @(model.ExchangeFiatCoinType.ToDisplay())
                                    </td>
                                    <td style="direction:ltr; color:#@(model.ExtraFeePercent == 0 ? "333" : model.ExtraFeePercent > 0 ? "007e70": "ed3c39")">
                                        %@Html.DisplayFor(modelItem => model.ExtraFeePercent)
                                    </td>
                                    <td>
                                        <div class="btn-group" style="width:217px">
                                            @Html.ActionLink("تغییر درصد", "EditRatePercent", new { id = model.Id }, new { @class = "btn btn-primary" })
                                        </div>
                                    </td>
                                </tr>
                            }
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>